# $Revision: 1.14 $, $Date: 2004/12/23 21:36:51 $

%define		module	Crypto

Summary:	Python Cryptography Toolkit
Summary(pl):	Kryptograficzny przybornik dla jzyka Python
Name:		python-%{module}
Version:	2.0
Release:	4
License:	Free
Source0:	http://www.amk.ca/files/python/crypto/pycrypto-%{version}.tar.gz
# Source0-md5:	55f9875c554ede75ad605d2c7504d94f
URL:		http://www.amk.ca/python/code/crypto.html
Group:		Development/Languages/Python
%pyrequires_eq	python-modules
BuildRequires:	python
BuildRequires:	python-devel >= 2.2
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Toolkit is a collection of cryptographic algorithms and protocols,
implemented for use from Python. Among the contents of the package:
- hash functions: MD2, MD4, RIPEMD
- block encryption algorithms: AES, ARC2, Blowfish, CAST, DES, Triple-DES,
  IDEA, RC5
- stream encryption algorithms: ARC4, simple XOR
- public-key algorithms: RSA, DSA, ElGamal, qNEW
- protocols: All-or-nothing transforms, chaffing/winnowing
- miscellaneous: RFC1751 module for converting 128-key keys into a set
  of English words, primality testing
- some demo programs (currently all quite old and outdated)

%description -l pl
Ten przybornik jest zbiorem kryptograficznych algorytmw i protokow
zaimplementowanych dla jzyka Python. Pakiet zawiera midzy innymi:
- funkcje haszujce: MD2, MD4, RIPEMD
- blokowe algorytmy szyfrujce: AES,ARC2, Blowfish, CAST, DES, Triple-DES,
  IDEA, RC5
- strumieniowe algorytmu szyfrujce: ARC4, zwyky XOR
- algorytmy z kluczem publicznym: RSA, DSA,ElGamal, qNEW
- protokoy: przeksztacenia wszystko-albo-nic, chaffing/winnowing
- inne: RFC1751 modu do konwersji kluczy 128 bitowych w zbiory sw
  angielskich, test liczb pierwszych
- programy demo (aktualnie odrobin starych)

%prep
%setup -q -n pycrypto-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

python setup.py install \
	--root=$RPM_BUILD_ROOT --optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKS ChangeLog README TODO Doc Demo
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]

%dir %{py_sitedir}/%{module}/Cipher
%attr(755,root,root) %{py_sitedir}/%{module}/Cipher/*.so
%{py_sitedir}/%{module}/Cipher/*.py[co]

%dir %{py_sitedir}/%{module}/Hash
%attr(755,root,root) %{py_sitedir}/%{module}/Hash/*.so
%{py_sitedir}/%{module}/Hash/*.py[co]

%dir %{py_sitedir}/%{module}/Protocol
%{py_sitedir}/%{module}/Protocol/*.py[co]

%dir %{py_sitedir}/%{module}/PublicKey
%{py_sitedir}/%{module}/PublicKey/*.py[co]

%dir %{py_sitedir}/%{module}/Util
%{py_sitedir}/%{module}/Util/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Crypto.spec,v $
Revision 1.14  2004/12/23 21:36:51  saq
- release 4 for rebuild with python 2.4

Revision 1.13  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.12  2004/08/31 15:54:10  darekr
- updated to 2.0

Revision 1.11  2004/08/19 10:48:40  undefine
- release 3

Revision 1.10  2004/08/18 02:30:03  matkor
- Version 1.9a6-2.

Revision 1.9  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2004/07/26 18:15:29  zboczuch
- massive attack: s/CLFAGS/CFLAGS/

Revision 1.7  2004/05/26 21:15:21  ankry
- capitalization, tabs, other cosmetics

Revision 1.6  2004/05/12 12:07:24  troll
- updated to 1.9a6
- fixed Source0 URL

Revision 1.5  2003/12/01 23:16:44  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.4  2003/05/28 13:01:27  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:25:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/10 11:45:19  qboosh
- some pl fixes

Revision 1.1  2003/02/09 18:34:49  wrobell
- renamed from python-crypto.spec to python-Crypto.spec to reflect the name
  of package

Revision 1.2  2003/02/09 17:23:20  wrobell
- fixed pl summary
- adapterized (descriptions needs polishing, imho)

Revision 1.1  2003/02/09 16:25:24  matkor
- Inital spec.
